WordPress.org

Ready to get started?Download WordPress

Forums

Automatic Upgrade to 3.5.2 Demands FTP (9 posts)

  1. mlavie
    Member
    Posted 9 months ago #

    I have a 3.5.1 installation on my Windows Server 2008 r2, which performed using WPI 4.5.

    I tried to perform the automatic upgrade to 3.5.2 today, but the automatic update demands FTP credentials to my site.

    I do not have and do not want to have an FTP server on that Windows Server.

    Why am I being required to provide an FTP server?

  2. esmi
    Theme Diva & Forum Moderator
    Posted 9 months ago #

    Because that is how WordPress updates your installation. Try upgrading manually instead.

  3. mlavie
    Member
    Posted 9 months ago #

    Well, I gave in and installed the Windows FTP server. But even if I specify the admin's credentials for FTP access, the installtion fails (failed copying files).

    Has ANYONE managed to perform an automatic upgrade in Windows?

    I am beginning to get the feeling that WordPress's Windows support is an afterthought...

  4. esmi
    Theme Diva & Forum Moderator
    Posted 9 months ago #

    Yes - I upgrade automatically all of the time on my local EasyPHP server.

  5. mlavie
    Member
    Posted 9 months ago #

    Hi Esmi,

    OK - I should have been more specific - has anypne succeeded in doing an automatic upgrade when WordPress was installed in Windows IIS using WPI 4.5.

    I have other programs on my server which require IIS, andother web servers can't be run simulatneously.

  6. esmi
    Theme Diva & Forum Moderator
    Posted 9 months ago #

    has anypne succeeded in doing an automatic upgrade when WordPress was installed in Windows IIS using WPI 4.5.

    No idea. We don't keep those kinds of statistics to hand.

  7. mlavie
    Member
    Posted 9 months ago #

    OK - thanks anyway.

    The problem is that I just took a look at the manual upgrade instructions you linked to, and it seems like even Albert EInstein wouldn't be able to undersatdn them. But then again, I might just be as stupid as my ex-wife claims...

  8. mlavie
    Member
    Posted 9 months ago #

    esmi - Just wanted to update you that from Googling it became clear that WP on Windows/IIS cannot be autoupdated - period. I did the manual update - tedious, but-do-able.

  9. esmi
    Theme Diva & Forum Moderator
    Posted 9 months ago #

    Really? I was so sure that many IIS users were able to auto-update. Thanks for the heads up. I guess this is another reason to avoid IIS.

Reply

You must log in to post.

About this Topic